org.apache.solr.common.cloud

## Class ZkNodeProps

- java.lang.Object
- - org.apache.solr.common.cloud.ZkNodeProps

- All Implemented Interfaces:
    org.noggit.JSONWriter.Writable
  Direct Known Subclasses:
    DocCollection, Replica, RoutingRule, Slice

      public class ZkNodeProps
      extends Object
      implements org.noggit.JSONWriter.Writable

  ZkNodeProps contains generic immutable properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `propMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZkNodeProps(Map<String,Object> propMap)` Construct ZKNodeProps from map.
    `ZkNodeProps(String... keyVals)` Constructor that populates the from array of Strings in form key1, value1, key2, value2, ..., keyN, valueN

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(String key)` Check if property key exists.
    `boolean` | `equals(Object that)`
    `static ZkNodeProps` | `fromKeyVals(Object... keyVals)`
    `Object` | `get(String key)`
    `boolean` | `getBool(String key, boolean b)`
    `Integer` | `getInt(String key, Integer def)` Get a string property value.
    `Map<String,Object>` | `getProperties()` Get all properties as map.
    `String` | `getStr(String key)` Get a string property value.
    `String` | `getStr(String key, String def)` Get a string property value.
    `Set<String>` | `keySet()` Get property keys.
    `static ZkNodeProps` | `load(byte[] bytes)` Create Replica from json string that is typically stored in zookeeper.
    `ZkNodeProps` | `plus(Map<String,Object> newVals)`
    `ZkNodeProps` | `plus(String key, Object val)`
    `Map<String,Object>` | `shallowCopy()` Returns a shallow writable copy of the properties
    `String` | `toString()`
    `void` | `write(org.noggit.JSONWriter jsonWriter)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### propMap

          protected final Map<String,Object> propMap

  - ### Constructor Detail

    - #### ZkNodeProps

          public ZkNodeProps(Map<String,Object> propMap)

      Construct ZKNodeProps from map.

    - #### ZkNodeProps

          public ZkNodeProps(String... keyVals)

      Constructor that populates the from array of Strings in form key1, value1, key2, value2, ..., keyN, valueN

  - ### Method Detail

    - #### plus

          public ZkNodeProps plus(String key,
                                  Object val)

    - #### plus

          public ZkNodeProps plus(Map<String,Object> newVals)

    - #### fromKeyVals

          public static ZkNodeProps fromKeyVals(Object... keyVals)

    - #### keySet

          public Set<String> keySet()

      Get property keys.

    - #### getProperties

          public Map<String,Object> getProperties()

      Get all properties as map.

    - #### shallowCopy

          public Map<String,Object> shallowCopy()

      Returns a shallow writable copy of the properties

    - #### load

          public static ZkNodeProps load(byte[] bytes)

      Create Replica from json string that is typically stored in zookeeper.

    - #### write

          public void write(org.noggit.JSONWriter jsonWriter)

      Specified by:
        `write` in interface `org.noggit.JSONWriter.Writable`

    - #### getStr

          public String getStr(String key)

      Get a string property value.

    - #### getInt

          public Integer getInt(String key,
                                Integer def)

      Get a string property value.

    - #### getStr

          public String getStr(String key,
                               String def)

      Get a string property value.

    - #### get

          public Object get(String key)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### containsKey

          public boolean containsKey(String key)

      Check if property key exists.

    - #### getBool

          public boolean getBool(String key,
                                 boolean b)

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.